### File

`packages/components/layout/eui-app-v2/eui-app-toolbar/eui-app-toolbar-sidebar-toggle.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-app-toolbar-sidebar-toggle`
imports | `AsyncPipe` `EUI_ICON_BUTTON`
templateUrl | `./eui-app-toolbar-sidebar-toggle.html`

### Index

###### Properties
asService name
###### Methods
onToggleSidebar
###### Inputs
e2eAttr iconSvgFillColor
###### HostBindings
class

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-app-toolbar-sidebar-toggle'`

iconSvgFillColor
Type : `any`

### HostBindings

class
Type : `string`
Default value : `'eui-app-toolbar-sidebar-toggle'`

### Methods

onToggleSidebar
`onToggleSidebar(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Properties

asService
Type : `unknown`
Default value : `inject(EuiAppShellService)`

name
Type : `string`
Default value : `'eui-app-toolbar-sidebar-toggle'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""